<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__msg__unit__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_msg_unit_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__msg__unit__t_1ae2492ebcae0d85ccc3d5801399bcd76c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__hdr__t">wiced_bt_avrc_hdr_t</ref></type>
        <definition>wiced_bt_avrc_hdr_t wiced_bt_avrc_msg_unit_t::hdr</definition>
        <argsstring />
        <name>hdr</name>
        <briefdescription>
<para>Message header. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="866" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="866" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__unit__t_1aef0daa0895d1b81d42c0b8b7aefd7cb9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_avrc_msg_unit_t::company_id</definition>
        <argsstring />
        <name>company_id</name>
        <briefdescription>
<para>Company identifier. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="867" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="867" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__unit__t_1af575f60376d9abc58a944031d32dd014" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_msg_unit_t::unit_type</definition>
        <argsstring />
        <name>unit_type</name>
        <briefdescription>
<para>Unit type (see <ref kindref="member" refid="group__wicedbt__avrc_1AVRC_SUBUNIT_TYPE">AVRC subunit types</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="868" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="868" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__unit__t_1a7e155a2100c00da14928cce9e4bcdae7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_msg_unit_t::unit</definition>
        <argsstring />
        <name>unit</name>
        <briefdescription>
<para>This value is vendor dependent and typically zero. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="869" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="869" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>UNIT INFO message. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="215">
        <label>wiced_bt_avrc_msg_unit_t</label>
        <link refid="structwiced__bt__avrc__msg__unit__t" />
        <childnode refid="216" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
      <node id="216">
        <label>wiced_bt_avrc_hdr_t</label>
        <link refid="structwiced__bt__avrc__hdr__t" />
      </node>
    </collaborationgraph>
    <location bodyend="870" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="864" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="865" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__msg__unit__t_1aef0daa0895d1b81d42c0b8b7aefd7cb9" virt="non-virtual"><scope>wiced_bt_avrc_msg_unit_t</scope><name>company_id</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__unit__t_1ae2492ebcae0d85ccc3d5801399bcd76c" virt="non-virtual"><scope>wiced_bt_avrc_msg_unit_t</scope><name>hdr</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__unit__t_1a7e155a2100c00da14928cce9e4bcdae7" virt="non-virtual"><scope>wiced_bt_avrc_msg_unit_t</scope><name>unit</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__unit__t_1af575f60376d9abc58a944031d32dd014" virt="non-virtual"><scope>wiced_bt_avrc_msg_unit_t</scope><name>unit_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>